> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Patients



## OpenAPI

````yaml post /user/patient/uploads/csv
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/uploads/csv:
    post:
      tags:
        - provider
        - user
        - upload
      summary: Upload Patients
      operationId: upload_patients_user_patient_uploads_csv_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_patients_user_patient_uploads_csv_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: Response Upload Patients User Patient Uploads Csv Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_upload_patients_user_patient_uploads_csv_post:
      properties:
        file:
          type: string
          format: binary
          title: File
        uploader_id:
          type: string
          title: Uploader Id
        rule_set_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rule Set Id
        void_existing_charges:
          type: boolean
          title: Void Existing Charges
          default: false
        update_existing_patient_charges:
          type: boolean
          title: Update Existing Patient Charges
          default: false
        patient_identifiers:
          items:
            type: string
          type: array
          title: Patient Identifiers
          default: []
      type: object
      required:
        - file
        - uploader_id
      title: Body_upload_patients_user_patient_uploads_csv_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````